package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @Author: liweifan
 * @Data: 2022-08-04 10:19:49
 */
@ApiModel(value = "ActivityEvaluationDto对象", description = "评测活动表数据传输对象")
public class ActivityEvaluationDto extends BaseEntity {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("活动id ")
	@NotNull(message = "活动id不能为空")
	private Long activityId;
	@ApiModelProperty("曲目id 多个用,分割 ")
	//@NotBlank(message = "曲子id不能为空")
	private String musicSheetIds; // 评测活动曲目ID
	@ApiModelProperty("活动老师id 多个用,分割 ")
	private String teacherIds; // 分享活动老师ID

	public String getTeacherIds() {
		return teacherIds;
	}

	public void setTeacherIds(String teacherIds) {
		this.teacherIds = teacherIds;
	}

	public Long getActivityId() {
		return activityId;
	}

	public void setActivityId(Long activityId) {
		this.activityId = activityId;
	}

	public String getMusicSheetIds() {

		return musicSheetIds;
	}

	public void setMusicSheetIds(String musicSheetIds) {
		this.musicSheetIds = musicSheetIds;
	}
}